# FoundationClasses
TKernel
TColStd

# TColStd_MapIteratorOfPackedMapOfInteger Class Reference

`#include <TColStd_MapIteratorOfPackedMapOfInteger.hxx>`

Inheritance diagram for TColStd_MapIteratorOfPackedMapOfInteger:

[legend]

## Public Member Functions

| TColStd_MapIteratorOfPackedMapOfInteger ()
| Empty Constructor.
Standard_EXPORT | TColStd_MapIteratorOfPackedMapOfInteger (const TColStd_PackedMapOfInteger &)
| Constructor.
Standard_EXPORT void | Initialize (const TColStd_PackedMapOfInteger &)
| Re-initialize with the same or another Map instance.
Standard_EXPORT void | Reset ()
| Restart the iteraton.
Standard_Integer | Key () const
| Query the iterated key. Defined in TColStd_PackedMapOfInteger.cxx.
Standard_EXPORT void | Next ()
| Increment the iterator.

## Private Attributes

unsigned int | myIntMask
| all bits set above the iterated position
Standard_Integer | myKey
| Currently iterated key.

## Detailed Description

Iterator of class TColStd_PackedMapOfInteger

## Constructor & Destructor Documentation

TColStd_MapIteratorOfPackedMapOfInteger::TColStd_MapIteratorOfPackedMapOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_MapIteratorOfPackedMapOfInteger::TColStd_MapIteratorOfPackedMapOfInteger | ( | const TColStd_PackedMapOfInteger & |  | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_MapIteratorOfPackedMapOfInteger::Initialize | ( | const TColStd_PackedMapOfInteger & |  | ) |

Standard_Integer TColStd_MapIteratorOfPackedMapOfInteger::Key | ( |  | ) | const`[inline]`

Standard_EXPORT void TColStd_MapIteratorOfPackedMapOfInteger::Next | ( |  | ) |

| Reimplemented from TCollection_BasicMapIterator.

Standard_EXPORT void TColStd_MapIteratorOfPackedMapOfInteger::Reset | ( |  | ) |

| Reimplemented from TCollection_BasicMapIterator.

## Field Documentation

unsigned int TColStd_MapIteratorOfPackedMapOfInteger::myIntMask `[private]`

Standard_Integer TColStd_MapIteratorOfPackedMapOfInteger::myKey `[private]`

The documentation for this class was generated from the following file:

- TColStd_MapIteratorOfPackedMapOfInteger.hxx